Page MenuHomeVyOS Platform

Missing command `show ip bgp scan` appears in command completion
Closed, ResolvedPublicBUG

Description

vyos@vyos:~$ show ip bgp scan
% Unknown command: show ip bgp scan

Details

Difficulty level
Easy (less than an hour)
Version
1.2.1
Why the issue appeared?
Issues in third-party code
Is it a breaking change?
Perfectly compatible

Event Timeline

c-po assigned this task to dmbaturin.Jun 21 2019, 5:34 PM
c-po triaged this task as Low priority.
c-po created this task.
c-po updated the task description. (Show Details)
dmbaturin reassigned this task from dmbaturin to erkin.Aug 20 2020, 2:52 PM
dmbaturin set Is it a breaking change? to Unspecified (possibly destroys the router).
dmbaturin added a subscriber: dmbaturin.
erkin closed this task as Wontfix.Aug 28 2020, 5:24 PM

This command was removed from Quagga five years ago and never made it to FRR.

c-po added a comment.Aug 28 2020, 7:30 PM

This is not a "bug" - we pass any argument to show ip bgp down to FRR.

Probably the implementation should be changed and remove the /opt/vyatta/share/vyatta-op/templates/show/ip/bgp/node.tag/ directory which is responsible for this and add possible missing show commands to the CLI

cpo@LR1.wue3:~$ show ip bgp scan
% Unknown command: show ip bgp scan
cpo@LR1.wue3:~$ show ip bgp foo
% Unknown command: show ip bgp foo
erkin added a comment.EditedAug 29 2020, 3:46 AM

Viacheslav seems to have migrated a good portion of Quagga show commands to the XML template format a while ago and the remaining completion file for ip bgp scan also got deleted then. I can see that the useless command completion for it is still there on 1.2.5 LTS but it's gone from the nightly builds.

c-po added a comment.Aug 29 2020, 7:17 AM

I have removed show ip bgp scan for the upcoming 1.2.6 release.

@erkin it looks like the same applies to:

cpo@LR3.wue3:~$ show ip bgp rsclient summary
% Unknown command: show ip bgp rsclient summary

can you verify this?

erkin added a comment.Aug 29 2020, 8:16 AM

Yup, the same situation: It's there on LTS but not on nightly. Also nonexistent functionality on frr, so it can go from the completions too. (Although the CLI files are still in the vyatta-op-quagga repo.)
However it still seems to be stuck in reset on nightly:

$ reset ip bgp foo rsclient
% Unknown command:  clear ip bgp foo rsclient
pasik added a subscriber: pasik.Aug 29 2020, 9:19 AM
c-po changed the task status from Wontfix to Resolved.Aug 30 2020, 7:03 AM
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
erkin renamed this task from Unknown command: show ip bgp scan to Missing command `show ip bgp scan` appears in command completion.Sep 5 2020, 12:04 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mon, Nov 23, 5:20 PM